require 'secureshare/config'
require 'secureshare/client'

module SecureShare
  class << self
    def client
      @client ||= SecureShare::Client.new
    end

    def method_missing(method, *args, &block)
      return super unless client.respond_to?(method)
      client.send(method, *args, &block)
    end

    def respond_to?(method, include_private=false)
      client.respond_to?(method, include_private) || super(method, include_private)
    end
  end
end
